Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class EventDecoder

    java.lang.Object
      scone.accesstracking.EventDecoder

    public class EventDecoder

extends java.lang.Object

The methods of this class are called by AppletConnector. Every message of the applet has its own method to evaluate the received information and to create and change Access events.

Version:
  1.1, 22-Feb-2002
Author:
  Torsten Hass, Harald Weinreich

Field Summary
`static int` | `BACK`
`static int` | `BOOKMARK`
`static int` | `BROWSER_GECKO`
`static int` | `BROWSER_IE`
`static int` | `BROWSER_NS`
`static int` | `FORMSUBMIT`
`static int` | `FRAGMENT`
`static int` | `HEURISTIC`
`static int` | `LINK`
`static int` | `NEWURL`
`static int` | `NEWWINDOW`
`static int` | `NEXT`
`static int` | `RELOAD`
`static int` | `SELFLINK`
`static int` | `SKIPPED`

Constructor Summary
`EventDecoder()`

Method Summary
`void` | `formSubmited(long appletStartTime, java.lang.String userId, java.lang.String nodeId, long startTime, java.lang.String frameName, long formTime, java.lang.String formAction)` This Method is invoked by Transceiver every time the User submits a form in a browser window.
`void` | `linkClicked(long appletStartTime, java.lang.String userId, java.lang.String nodeId, long startTime, java.lang.String frameName, int frameCount, java.lang.String megTime, long linkTime, java.lang.String linkId)` This Method is invoked by Transceiver every time the User clicked a link in a browser window.
`void` | `logMessage(java.lang.String className, java.lang.String method, java.lang.String param)` This Method is invoked by Transceiver every time a specific user-action shall be logged.
`void` | `pageUnloaded(long appletStartTime, java.lang.String userId, java.lang.String nodeId, long startTime, java.lang.String frameName, long stoppedTime)` If the user leaves a page, the applet sends a message containing stopp time and all key values to get the right access event and store the calculated stay time.
`void` | `printMsg(java.lang.String textMsg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK

    public static final int LINK

See Also:
  Constant Field Values

### FRAGMENT

    public static final int FRAGMENT

See Also:
  Constant Field Values

### SELFLINK

    public static final int SELFLINK

See Also:
  Constant Field Values

### FORMSUBMIT

    public static final int FORMSUBMIT

See Also:
  Constant Field Values

### RELOAD

    public static final int RELOAD

See Also:
  Constant Field Values

### BACK

    public static final int BACK

See Also:
  Constant Field Values

### NEXT

    public static final int NEXT

See Also:
  Constant Field Values

### SKIPPED

    public static final int SKIPPED

See Also:
  Constant Field Values

### NEWWINDOW

    public static final int NEWWINDOW

See Also:
  Constant Field Values

### BOOKMARK

    public static final int BOOKMARK

See Also:
  Constant Field Values

### NEWURL

    public static final int NEWURL

See Also:
  Constant Field Values

### BROWSER_NS

    public static final int BROWSER_NS

See Also:
  Constant Field Values

### BROWSER_IE

    public static final int BROWSER_IE

See Also:
  Constant Field Values

### BROWSER_GECKO

    public static final int BROWSER_GECKO

See Also:
  Constant Field Values

### HEURISTIC

    public static final int HEURISTIC

See Also:
  Constant Field Values

Constructor Detail

### EventDecoder

    public EventDecoder()

Method Detail

### pageUnloaded

    public void pageUnloaded(long appletStartTime,
                             java.lang.String userId,
                             java.lang.String nodeId,
                             long startTime,
                             java.lang.String frameName,
                             long stoppedTime)

  If the user leaves a page, the applet sends a message containing stopp time and all key values to get the right access event and store the calculated stay time.

  Parameters:
    `appletStartTime` -
    `userId` -
    `nodeId` -
    `startTime` -
    `frameName` -
    `stoppedTime` - The time the page was unloaded

### linkClicked

    public void linkClicked(long appletStartTime,
                            java.lang.String userId,
                            java.lang.String nodeId,
                            long startTime,
                            java.lang.String frameName,
                            int frameCount,
                            java.lang.String megTime,
                            long linkTime,
                            java.lang.String linkId)

  This Method is invoked by Transceiver every time the User clicked a link in a browser window. If the link is a link to the exact same URI, this information is saved to the LastAction bit array in the History class. So the next page can get the information of it's invokation. If the link is an fragment link, a new AccessEvent is created an added to the history. If the link is a link to another URI, this information is stored to the lastAction bit array for the next page to get this information.

  Parameters:
    `appletStartTime` -
    `userId` -
    `nodeId` -
    `startTime` -
    `frameName` -
    `frameCount` - Number of frames in frame set
    `megTime` - Time of javascript creation
    `linkTime` - The time the link was clicked
    `linkId` -
    `accessEventExistedString` - If page comes from cache, a new start time had to be used.
    `browserName` - Number describing the browser

### formSubmited

    public void formSubmited(long appletStartTime,
                             java.lang.String userId,
                             java.lang.String nodeId,
                             long startTime,
                             java.lang.String frameName,
                             long formTime,
                             java.lang.String formAction)

  This Method is invoked by Transceiver every time the User submits a form in a browser window. If the User submits a from, it can either be a mail form or a cgi form. If the form is a cgi form, the browser loads a new page after submit. This method stores the information of a submited form in history.setLastAction for the next page to get it. If it is a mail form, the browser sends the mail but stays on the same page.

  Parameters:
    `appletStartTime` -
    `userId` -
    `nodeId` -
    `startTime` -
    `frameName` -
    `formTime` - The time the formsubmit button was clicked
    `formAction` - The Action called by the form
    `accessEventExistedString` - If page comes from cache, a new start time had to be used.
    `browserName` - Number describing the browser

### logMessage

    public void logMessage(java.lang.String className,
                           java.lang.String method,
                           java.lang.String param)

  This Method is invoked by Transceiver every time a specific user-action shall be logged. This can be a pressed key, a mouseover-event or anything that can be traced by JavaScript.

  This message is then reported to the class and the (static) method defined in the transmitted parameters.

  Use the following JavaScript-Command to send a message:
  `document.LogApplet.logMsg("logMessage\nclassName=PACKAGE.CLASSNAME\nmethod=STATIC_METHOD\nparameter=PARAMETER_TO_BE_SENT\n");`
  where the strings in CAPITALS have to be replaced by the class, method and parameter you want...

  Parameters:
    `className` - Name of the class that shall be informed
    `method` - Name of the (static) method that shall be informed.
    `param` - The parameter/ message to be sent.

### printMsg

    public void printMsg(java.lang.String textMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD